resources

## Class Constants

- java.lang.Object
- - resources.Constants

-     public class Constants
      extends java.lang.Object

  Version:
    1.0
  Author:
    Alan Mills

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Constants.AgentType`
    `static class` | `Constants.Disease`
    `static class` | `Constants.GoalDescription`
    `static class` | `Constants.MessageType`
    `static class` | `Constants.PatientType`
    `static class` | `Constants.SpecialistSelectionCriterion`
    `static class` | `Constants.Treatment`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONTEXT_ID` Constant used to identify the environment.
    `static java.lang.String` | `NORMAL_DISTRIBUTION` Constant used to specify the normal distribution.
    `static double` | `SMALL_DISTANCE` Constant used to initialize the space dimension.
    `static java.lang.String` | `SPACE_ID` Constant used to identify the space projection.
    `static int` | `SPACE_SIZE` Constant used to initialize the space dimension.
    `static java.lang.String` | `UNIFORM_DISTRIBUTION` Constant used to specify the uniform distribution.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_ID

          public static final java.lang.String CONTEXT_ID

      Constant used to identify the environment.
      See Also:
        Constant Field Values

    - #### SPACE_ID

          public static final java.lang.String SPACE_ID

      Constant used to identify the space projection.
      See Also:
        Constant Field Values

    - #### SPACE_SIZE

          public static final int SPACE_SIZE

      Constant used to initialize the space dimension.
      See Also:
        Constant Field Values

    - #### SMALL_DISTANCE

          public static final double SMALL_DISTANCE

      Constant used to initialize the space dimension.
      See Also:
        Constant Field Values

    - #### NORMAL_DISTRIBUTION

          public static final java.lang.String NORMAL_DISTRIBUTION

      Constant used to specify the normal distribution.
      See Also:
        Constant Field Values

    - #### UNIFORM_DISTRIBUTION

          public static final java.lang.String UNIFORM_DISTRIBUTION

      Constant used to specify the uniform distribution.
      See Also:
        Constant Field Values